.form-background{
background: url(../assets/images/form-background.jpeg) no-repeat center center;
    background-size: cover;
    height: 100vh;
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
}

.form-container{
    width: 480px;
    padding: 40px 60px;
    border-radius: 16px;
    background-color: var(--background-surface-m);
    display: flex;
    flex-direction: column;
    align-items:center;
    gap: 24px;
}

.form-container__head{
    display: flex;
    flex-direction: column;
    align-items:center;
    gap: 32px;
}

.form-container__title{
    font-size: 24px;
}

.form{
    display: flex;
    flex-direction: column;
    align-items:stretch;
    width: 100%;
    gap: 24px;
}

.form__input{
    padding: 16px 20px;
    font-size: 16px;
    font-weight: 400;
    background-color:var(--background-base-primary);
    border: 1px solid var(--border-base-main);
    border-radius:12px;
}

.form__input:focus{
    border:1px solid var(--border-base-main-focus);
}

.form__button{
    padding: 16px 0;
    font-size: 16px;
    border-radius:12px;
    background-color:var(--background-accent-default);
    color:var(--content-base-accent-on);
    cursor: pointer;
}

.form__button:hover{
    background-color:var(--background-accent-hover);
}

.redirect-link{
    margin-top: 4px;
    font-size: 16px;
    color:var(--background-accent-default);
}

@media (max-width: 475px) {
    .background{
        padding: 0 20px;
    }
    .form-container{
        padding: 20px 40px;
        gap: 22px;
    }

    .form-container__head{
        gap: 24px;
    }

    .form-container__title{
        white-space: nowrap;
        font-size: 20px;
    }

    .form{
        gap: 20px;
    }

    .form__input{
        padding: 12px 16px;
    }

    .redirect-link{
        margin-top: 0;
    }
}
